// Copyright 2018 The Periph Authors. All rights reserved.
// Use of this source code is governed under the Apache License, Version 2.0
// that can be found in the LICENSE file.

// Package physic declares types for physical input, outputs and measurement
// units.
//
// This includes temperature, humidity, pressure, tension, current, etc.
//
// SI units
//
// The supported S.I. units is a subset of the official ones.
//    T  	tera 	10¹²  	1000000000000
//    G  	giga 	10⁹   	1000000000
//    M  	mega 	10⁶   	1000000
//    k  	kilo 	10³   	1000
//    m  	milli	10⁻³  	0.001
//    µ,u	micro	10⁻⁶  	0.000001
//    n  	nano 	10⁻⁹  	0.000000001
//    p  	pico 	10⁻¹² 	0.000000000001
package physic
